	int nx=0; int ny=0; int nz=0; 
	scalar nx_flag=0; scalar ny_flag=0; scalar nz_flag=0; 
	scalar x_max=-1e500; scalar x_min=1e500; scalar y_max=-1e500; scalar y_min=1e500; scalar z_max=-1e500; scalar z_min=1e500;
    scalar dx; scalar dy; scalar dz;
    scalar LL; scalar HH; scalar ZZ;   
    vector point; vector point_old;
	

    forAll(mesh_fi.points(),vertexI){
    point=mesh_fi.points()[vertexI]; 
	
	if (point[0]<x_min){
		x_min=point[0]; 
	}
	if (point[0]>x_max){
		x_max=point[0]; 
	}
	
	if (point[1]<y_min){
		y_min=point[1]; 
	}
	if (point[1]>y_max){
		y_max=point[1]; 
	}
	
	if (point[2]<z_min){
		z_min=point[2]; 
	}
	if (point[2]>z_max){
		z_max=point[2]; 
	}
	
	if (vertexI>0){
	if ((point[0]>point_old[0]))
	{
		if(nx_flag==0)
		{
		nx=nx+1;
		}
	}
	else
	{ nx_flag=1;
		if (point[1]>point_old[1])
		{
			if(ny_flag==0)
			{
		     ny=ny+1;
			}
		}
		else
		{
		 ny_flag=1;
			if (point[2]>point_old[2])
			{
				if(nz_flag==0)
				{
			     nz=nz+1;
				}
			}
			else
			{ 
			 nz_flag=1;
			}
		}
	}
	}
	
	
	point_old=point; 
	}
	LL=x_max-x_min; 
	HH=y_max-y_min; 
	ZZ=z_max-z_min; 
	
	dx=LL/nx;
	dy=HH/ny;
	if(nz==1){
		dz=1;
	}else{
	dz=ZZ/nz; 
	}
    cout<<"\n\n\n\n//////////////////////////////////////////      GEOMETRICAL RESULTS   //////////////////////////////////////////\n\n\n\n";        
	Info<<"x_min "<<x_min<<" y_min "<<y_min<<" z_min "<<z_min<<endl;
	Info<<"x_max "<<x_max<<" y_max "<<y_max<<" z_max "<<z_max<<endl;
	Info<<"LL "<<LL<<" HH "<<HH<<" ZZ "<<ZZ<<endl;
	Info<<"nx "<<nx<<" ny "<<ny<<" nz "<<nz<<endl;
	Info<<"dx "<<dx<<" dy "<<dy<<" dz "<<dz<<endl;
